diff --git a/project/bundles/3rdparty/ext_kde_frameworks/CMakeLists.txt b/project/bundles/3rdparty/ext_kde_frameworks/CMakeLists.txt
index 76833b8669..cb52315fa4 100755
--- a/project/bundles/3rdparty/ext_kde_frameworks/CMakeLists.txt
+++ b/project/bundles/3rdparty/ext_kde_frameworks/CMakeLists.txt
@@ -191,7 +191,7 @@ InstallKDEComponent(extra-cmake-modules ${KDE_VERSION} "${Qt6CommonOptions}"
 InstallKDEComponent(kconfig             ${KDE_VERSION} "${Qt6CommonOptions}"                       "")
 InstallKDEComponent(breeze-icons        ${KDE_VERSION} "${Qt6CommonOptions};${BreezeIconsOptions}" "breeze-dropsvg-rccprefix.patch")
 InstallKDEComponent(solid               ${KDE_VERSION} "${Qt6CommonOptions}"                       "")
-InstallKDEComponent(kcoreaddons         ${KDE_VERSION} "${Qt6CommonOptions}"                       "")
+InstallKDEComponent(kcoreaddons         ${KDE_VERSION} "${Qt6CommonOptions}"                       "kcoreaddons-mingw.patch")
 InstallKDEComponent(threadweaver        ${KDE_VERSION} "${Qt6CommonOptions}"                       "${MacosThreadWeaverPatch}")
 InstallKDEComponent(kwindowsystem       ${KDE_VERSION} "${Qt6CommonOptions}"                       "")
 InstallKDEComponent(karchive            ${KDE_VERSION} "${Qt6CommonOptions}"                       "")
diff --git a/project/bundles/mxe/01-build-mxe.sh b/project/bundles/mxe/01-build-mxe.sh
index e0ddca438e..c65567a626 100755
--- a/project/bundles/mxe/01-build-mxe.sh
+++ b/project/bundles/mxe/01-build-mxe.sh
@@ -29,7 +29,7 @@ echo "-----------------------------------------------------------------------"
 . ./config.sh
 . ./common.sh
 StartScript
-ChecksCPUCores
+#ChecksCPUCores
 RegisterRemoteServers
 
 #################################################################################################
@@ -114,17 +114,14 @@ fi
 #################################################################################################
 # Dependencies build and installation
 
-make MXE_TARGETS=$MXE_BUILD_TARGETS \
-     openssl \
+make -j48 MXE_TARGETS=$MXE_BUILD_TARGETS \
      cmake \
-     yasm \
      gettext \
      freeglut \
      libxml2 \
      libxslt \
      libjpeg-turbo \
      libpng \
-     djvulibre \
      tiff \
      boost \
      expat \
@@ -133,40 +130,16 @@ make MXE_TARGETS=$MXE_BUILD_TARGETS \
      eigen \
      jasper \
      zlib \
-     bzip2 \
      mman-win32 \
      pthreads \
-     libgphoto2 \
-     icu4c \
-     brotli \
-     qtbase qtbase_CONFIGURE_OPTS=-icu \
-     qtnetworkauth \
+     qtbase \
      qttranslations \
      qtimageformats \
      qtnetworkauth \
-     qttools \
      qtwinextras \
      qtscript \
-     qtwebkit \
-     fdk-aac \
-     x264 \
-     x265 \
-     xvidcore \
-     libvpx \
-     theora \
-     vorbis \
-     opencore-amr \
-     librtmp \
-     opus \
-     speex \
-     lame \
-     freetype \
-     libass \
-     openal \
-     fftw \
-     libltdl \
-     openexr \
-     nsis
+     sqlite  \
+     hidapi
 
 #     libical \
 
@@ -224,14 +197,7 @@ ${MXE_BUILD_TARGETS}-cmake $ORIG_WD/../3rdparty \
 # Low level libraries
 # NOTE: The order to compile each component here is very important.
 
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_libde265    -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_libjxl      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_libaom      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_libavif     -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_ffmpeg      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_imagemagick -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_opencv      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_drmingw     -- -j$CPU_CORES
+
 
 #################################################################################################
 
diff --git a/project/bundles/mxe/02-build-extralibs.sh b/project/bundles/mxe/02-build-extralibs.sh
index dc65ccac49..243a8badd3 100755
--- a/project/bundles/mxe/02-build-extralibs.sh
+++ b/project/bundles/mxe/02-build-extralibs.sh
@@ -86,39 +86,39 @@ ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfi
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_breeze-icons        -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcoreaddons         -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kwindowsystem       -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_solid               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_solid               -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_sonnet              -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_threadweaver        -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_karchive            -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kdbusaddons         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_ki18n               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_ki18n               -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcrash              -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcodecs             -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kguiaddons          -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kwidgetsaddons      -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kitemviews          -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcompletion         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfigwidgets      -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kiconthemes         -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kservice            -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kxmlgui             -- -j$CPU_CORES
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kbookmarks          -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kconfigwidgets      -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kiconthemes         -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kservice            -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kxmlgui             -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kbookmarks          -- -j$CPU_CORES
 ${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kimageformats       -- -j$CPU_CORES
 
 # Extra support for digiKam
 
 # Geolocation support
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_marble              -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_marble              -- -j$CPU_CORES
 
 # Calendar support
 #${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_kcalendarcore       -- -j$CPU_CORES
 
 # Breeze style support
-${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_breeze               -- -j$CPU_CORES
+#${MXE_BUILD_TARGETS}-cmake --build . --config RelWithDebInfo --target ext_breeze               -- -j$CPU_CORES
 
 # Marble install shared lib at wrong place.
-mv $MXE_INSTALL_PREFIX/libmarble* $MXE_INSTALL_PREFIX/bin || true
-mv $MXE_INSTALL_PREFIX/libastro*  $MXE_INSTALL_PREFIX/bin || true
+#mv $MXE_INSTALL_PREFIX/libmarble* $MXE_INSTALL_PREFIX/bin || true
+#mv $MXE_INSTALL_PREFIX/libastro*  $MXE_INSTALL_PREFIX/bin || true
 
 #################################################################################################
 
diff --git a/project/bundles/mxe/config.sh b/project/bundles/mxe/config.sh
index 056ed33b9a..31304f3324 100644
--- a/project/bundles/mxe/config.sh
+++ b/project/bundles/mxe/config.sh
@@ -7,7 +7,7 @@
 
 ########################################################################
 
-MXE_ROOT_DIR=/mnt/data
+MXE_ROOT_DIR=/home/laurent/digikam/project/bundles/mxe/
 
 # Absolute path where are downloaded all tarballs to compile.
 DOWNLOAD_DIR="$MXE_ROOT_DIR/temp.dwnld"
@@ -27,12 +27,12 @@ MXE_ARCHBITS=64
 #------------
 
 if [[ $MXE_ARCHBITS == 32 ]]; then
-    # Windows 32 bits shared
-    MXE_BUILD_TARGETS="i686-w64-mingw32.shared"
+    # Windows 32 bits static
+    MXE_BUILD_TARGETS="i686-w64-mingw32.static"
     MXE_BUILDROOT="$MXE_ROOT_DIR/build.win32"
 elif [[ $MXE_ARCHBITS == 64 ]]; then
-    # Windows 64 bits shared
-    MXE_BUILD_TARGETS="x86_64-w64-mingw32.shared"
+    # Windows 64 bits static
+    MXE_BUILD_TARGETS="x86_64-w64-mingw32.static"
     MXE_BUILDROOT="$MXE_ROOT_DIR/build.win64"
 else
     echo "Unsupported or wrong target Windows architecture: $MXE_ARCHBITS bits."
@@ -69,20 +69,20 @@ DK_BUILDTEMP=$MXE_ROOT_DIR/dktemp
 
 # KDE Plasma version.
 # See official release here: https://download.kde.org/stable/plasma/
-DK_KP_VERSION="5.27.5"
+DK_KP_VERSION="5.27.8"
 
 # KDE Application version.
 # See official release here: https://download.kde.org/stable/release-service/
-DK_KA_VERSION="23.04.1"
+DK_KA_VERSION="23.08.1"
 
 # KDE KF5 frameworks version.
 # See official release here: https://download.kde.org/stable/frameworks/
-DK_KDE_VERSION="5.106"
+DK_KDE_VERSION="5.110"
 
 # Qt version to use in bundle and provided by MXE.
 DK_QTVERSION="5.15"
 
-# digiKam tag version from git. Official tarball do not include extra shared libraries.
+# digiKam tag version from git. Official tarball do not include extra static libraries.
 # The list of tags can be listed with this url: https://invent.kde.org/graphics/digikam/-/tags
 # If you want to package current implementation from git, use "master" as tag.
 #DK_VERSION=v7.6.0
